import { setupDirective } from './directive/index'
import HcMenuIcon from './menu-icon/menu-icon.vue'
import HcIconInput from './icon-input/icon-input.vue'
import HcRelatedProject from './related-project/related-project.vue'

//注册全局组件
export const setupComponents = (App) => {
    //自定义指令
    setupDirective(App)

    //自定义组件
    App.component('HcMenuIcon', HcMenuIcon)
    App.component('HcIconInput', HcIconInput)
    App.component('HcRelatedProject', HcRelatedProject)
}
